<?php

/**
 * description: standard text
 *
 * @package Module
 * @subpackage ContentText
 * @author marcus.gnass@4fb.de
 * @copyright four for business AG <www.4fb.de>
 * @license http://www.contenido.org/license/LIZENZ.txt
 * @link http://www.4fb.de
 * @link http://www.contenido.org
 */

// assert framework initialization
defined('CON_FRAMEWORK') || die('Illegal call: Missing framework initialization - request aborted.');

// get current container ID
$currentContainerId= cRegistry::getCurrentContainerId();

// make ContentType CMS_TEXT with index as $currentContainerId
$text = make_cms_type("CMS_TEXT",$currentContainerId);

// When in backend edit mode add a label so the author
// knows what to type in the shown field.
if (cRegistry::isBackendEditMode()) {
    $label = mi18n("LABEL_TEXT") . " [ContainerID = " . $currentContainerId . "]";
} else {
    $label = NULL;
}

// get this modules name
$thisModuleData =  new cApiModule($cCurrentModule);
$thisModuleName =  $thisModuleData -> get('name');

// define the class name and replace dots with underscore
$className = str_replace(".", "_", $thisModuleName);


// use smarty template to output header text
$smarty = cSmartyFrontend::getInstance();
$smarty-> assign('label', $label);
$smarty-> assign('className', $className);
$smarty-> assign('thisModuleName', $thisModuleName);
$smarty-> assign('text', $text);
$smarty-> display($thisModuleName . '.html');

?>